FaxTIFFTagSet (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.imageio.plugins.tiff, class: FaxTIFFTagSet
Keywords: javax.imageio.plugins.tiff.FaxTIFFTagSet class

# Class FaxTIFFTagSet

java.lang.Object
javax.imageio.plugins.tiff.TIFFTagSet
javax.imageio.plugins.tiff.FaxTIFFTagSet

public final class FaxTIFFTagSet extends TIFFTagSet
A class representing the extra tags found in a TIFF-F (RFC 2036) file.

Since:
  9
External Specifications
  - RFC 2306: Tag Image File Format (TIFF) - F Profile for Facsimile

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CLEAN_FAX_DATA_ERRORS_CORRECTED`
  A value to be used with the "CleanFaxData" tag.
  `static final int`
  `CLEAN_FAX_DATA_ERRORS_UNCORRECTED`
  A value to be used with the "CleanFaxData" tag.
  `static final int`
  `CLEAN_FAX_DATA_NO_ERRORS`
  A value to be used with the "CleanFaxData" tag.
  `static final int`
  `TAG_BAD_FAX_LINES`
  Tag indicating the number of bad fax lines (type SHORT or LONG).
  `static final int`
  `TAG_CLEAN_FAX_DATA`
  Tag indicating the number of lines of clean fax data (type SHORT).
  `static final int`
  `TAG_CONSECUTIVE_BAD_LINES`
  Tag indicating the number of consecutive bad lines (type SHORT or LONG).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FaxTIFFTagSet`
  `getInstance()`
  Returns a shared instance of a `FaxTIFFTagSet`.

  ### Methods declared in class TIFFTagSet

  `getTag, getTag, getTagNames, getTagNumbers`
  Modifier and Type
  Method
  Description
  `TIFFTag`
  `getTag(int tagNumber)`
  Returns the `TIFFTag` from this set that is associated with the given tag number, or `null` if no tag exists for that number.
  `TIFFTag`
  `getTag(String tagName)`
  Returns the `TIFFTag` having the given tag name, or `null` if the named tag does not belong to this tag set.
  `SortedSet<String>`
  `getTagNames()`
  Retrieves an unmodifiable lexicographically increasing set of tag names.
  `SortedSet<Integer>`
  `getTagNumbers()`
  Retrieves an unmodifiable numerically increasing set of tag numbers.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### TAG_BAD_FAX_LINES

    public static final int TAG_BAD_FAX_LINES
    Tag indicating the number of bad fax lines (type SHORT or LONG).
    See Also:
      - Constant Field Values

  - ### TAG_CLEAN_FAX_DATA

    public static final int TAG_CLEAN_FAX_DATA
    Tag indicating the number of lines of clean fax data (type SHORT).
    See Also:
      - `CLEAN_FAX_DATA_NO_ERRORS`
      - `CLEAN_FAX_DATA_ERRORS_CORRECTED`
      - `CLEAN_FAX_DATA_ERRORS_UNCORRECTED`
      - Constant Field Values

  - ### CLEAN_FAX_DATA_NO_ERRORS

    public static final int CLEAN_FAX_DATA_NO_ERRORS
    A value to be used with the "CleanFaxData" tag.
    See Also:
      - `TAG_CLEAN_FAX_DATA`
      - Constant Field Values

  - ### CLEAN_FAX_DATA_ERRORS_CORRECTED

    public static final int CLEAN_FAX_DATA_ERRORS_CORRECTED
    A value to be used with the "CleanFaxData" tag.
    See Also:
      - `TAG_CLEAN_FAX_DATA`
      - Constant Field Values

  - ### CLEAN_FAX_DATA_ERRORS_UNCORRECTED

    public static final int CLEAN_FAX_DATA_ERRORS_UNCORRECTED
    A value to be used with the "CleanFaxData" tag.
    See Also:
      - `TAG_CLEAN_FAX_DATA`
      - Constant Field Values

  - ### TAG_CONSECUTIVE_BAD_LINES

    public static final int TAG_CONSECUTIVE_BAD_LINES
    Tag indicating the number of consecutive bad lines (type SHORT or LONG).
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getInstance

    public static FaxTIFFTagSet getInstance()
    Returns a shared instance of a `FaxTIFFTagSet`.
    Returns:
      a `FaxTIFFTagSet` instance.